## org.apache.poi.ss.usermodel.charts
Class DataSources

    java.lang.Object
      org.apache.poi.ss.usermodel.charts.DataSources

    @Beta
    public class DataSources

extends java.lang.Object

Class `DataSources` is a factory for `ChartDataSource` instances.

Author:
  Roman Kashitsyn

Method Summary

`static

`<T> ChartDataSource<T>`

`

`fromArray(T[] elements)`

`static ChartDataSource<java.lang.Number>` `fromNumericCellRange(Sheet sheet, CellRangeAddress cellRangeAddress)`
`static ChartDataSource<java.lang.String>` `fromStringCellRange(Sheet sheet, CellRangeAddress cellRangeAddress)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### fromArray

    public static <T> ChartDataSource<T> fromArray(T[] elements)

### fromNumericCellRange

    public static ChartDataSource<java.lang.Number> fromNumericCellRange(Sheet sheet,
                                                                         CellRangeAddress cellRangeAddress)

### fromStringCellRange

    public static ChartDataSource<java.lang.String> fromStringCellRange(Sheet sheet,
                                                                        CellRangeAddress cellRangeAddress)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.